<?php

	if (!defined("_ECRIRE_INC_VERSION")) return;

	function spipimmo_pagination()
	{
		//les variables globales
		global $globals_spipimmo;

		//Liste des annonces
		$listeAnnonces="SELECT * FROM `spip_annonces` ORDER BY `id_annonce` DESC";
		$resListeAnnonces=spip_query($listeAnnonces);
		$nbAnnonces=spip_num_rows($resListeAnnonces);

		//Nombre de page
		$nbPageTotal=ceil($nbAnnonces/$globals_spipimmo["page_nombre_resultat"]);

		if(isset($_GET["pg"])==false)
		{
			$nPage=1;
		}
		else
		{
			$nPage=$_GET["pg"];
		}

		if($nPage==1)
		{
			$nDebut=0;
		}
		else
		{
			$nDebut=($globals_spipimmo["page_nombre_resultat"]*$nPage)-$globals_spipimmo["page_nombre_resultat"];
		}

		$suiteLien="";
		if(isset($_GET["tri"]))
		{
			$tabTriLibelle["dossier"]="id_annonce";
			$tabTriLibelle["ville"]="ville_bien";
			$tabTriLibelle["type"]="type_offre";
			$tabTriLibelle["prix"]="prix_loyer";

			$tabTri=split("-", $_GET["tri"]);
			$queryTemp.=" ORDER BY " . $tabTriLibelle[$tabTri[0]] . " " . strtoupper($tabTri[1]);
			$suiteLien="&tri=" . $_GET["tri"];
		}

		$queryTemp.=" LIMIT " . $nDebut . ",10";
		$out='<table id="pagination">';
			$out.='<tr>
					<td id="pgpagination">
						' . $nPage . ' / ' . $nbPageTotal . '
					</td>
					<td id="detpagination">';

			if($nbPageTotal<=$globals_spipimmo["page_nombre_resultat"])
			{
				if($nPage!=1)
				{
					$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage-1) . $suiteLien . '"> < </a> - ';
				}
				for($i=1; $i<=$nbPageTotal; $i++)
				{
					if($i==$nbPageTotal)
					{
						$out.='<a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '">' . $i . '</a>';
					}
					else
					{
						$out.='<a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '">' . $i . '</a> - ';
					}
				}
				if($nPage!=$nbPageTotal)
				{
					$out.=' - <a href="?exec=spipimmo&amp;pg=' . ($nPage+1) . $suiteLien . '"> > </a>';
				}
			}
			else
			{
				$nPageAvt=$nPage-5;
				$nPageAps=$nPage+5;

				if(($nPageAvt>0) and ($nPageAps<$nbPageTotal))
				{
					$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage-1) . $suiteLien . '"> < </a>';
					for($i=$nPageAvt; $i<$nPageAps; $i++)
					{
						$out.=' - <a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '"> ' . $i . '</a>';
					}
					$out.=' - <a href="?exec=spipimmo&amp;pg=' . ($nPage+1) . $suiteLien . '"> > </a>';
				}
				else if($nPageAvt<=0)
				{
					if($nPage>1)
					{
						$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage-1) . $suiteLien . '"> < </a> - ';
					}
					for($i=1; $i<=$globals_spipimmo["page_nombre_resultat"]; $i++)
					{
						$out.='<a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '"> ' . $i . '</a> - ';
					}
					$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage+1) . $suiteLien . '"> > </a>';
				}
				else if($nPageAps>=$nbPageTotal)
				{
					$out.='<a href="?exec=spipimmo&amp;pg=' . ($nPage-1) . $suiteLien . '"> < </a>';
					for($i=($nbPageTotal-$globals_spipimmo["page_nombre_resultat"]); $i<=$nbPageTotal; $i++)
					{
						$out.=' - <a href="?exec=spipimmo&amp;pg=' . $i . $suiteLien . '"> ' . $i . '</a>';
					}
					if($nPage<$nbPageTotal)
					{
						$out.=' - <a href="?exec=spipimmo&amp;pg=' . ($nPage+1) . $suiteLien . '"> > </a>';
					}
				}
			}
			$out.='</td>
				<td id="precpagination">
					<form id="formpage" action="javascript:accesPage(document.forms[\'formpage\'].elements[\'acpage\'].value, ' . $nbPageTotal . ', \'' . $suiteLien . '\');" method="post">
						Page : <input class="acpage" type="text" name="acpage" id="acpage" />
					</form>
				</td>
			</tr>
		</table>';

		return array($out, $queryTemp, $nPage, $nbAnnonces);
	}
?>